Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.xml.binding
Class XsMarshaller

    java.lang.Object
      org.jboss.xml.binding.AbstractMarshaller
          org.jboss.xml.binding.XsMarshaller

All Implemented Interfaces:
  Marshaller

public class XsMarshaller
extends AbstractMarshaller

An XML schema based org.jboss.xml.binding.Marshaller implementation.

Version:
  `$Revision: 1.8.2.2 $`
Author:
  Alexey Loubyansky

Nested Class Summary

Nested classes inherited from class org.jboss.xml.binding.AbstractMarshaller
`AbstractMarshaller.ClassMapping, AbstractMarshaller.QName, AbstractMarshaller.Stack, AbstractMarshaller.StackImpl`

Nested classes inherited from class org.jboss.xml.binding.Marshaller
`Marshaller.FACTORY`

Field Summary

Fields inherited from class org.jboss.xml.binding.AbstractMarshaller
`encoding, rootQNames, version`

Fields inherited from interface org.jboss.xml.binding.Marshaller
`ENCODING, PROP_MARSHALLER, PROP_OUTPUT_INDENTATION, PROP_OUTPUT_XML_VERSION, VERSION`

Constructor Summary
`XsMarshaller()`

Method Summary
`void` | `addAttribute(String prefix, String localName, String type, String value)` Adds an attribute to the top most elements.
`void` | `addAttribute(String namespaceUri, String prefix, String localName, String type, String value)` Adds an attribute to the top most elements declaring namespace prefix if it is not yet declared.
`void` | `declareNamespace(String name, String uri)` Defines a namespace.
`void` | `marshal(Reader schema, ObjectModelProvider provider, Object root, Writer writer)`

Methods inherited from class org.jboss.xml.binding.AbstractMarshaller
`addRootElement, getClassMapping, getProperty, mapClassToNamespace, mapClassToNamespace, mapPublicIdToSystemId, marshal, propertyIsTrueOrNotSet, setEncoding, setProperty, setVersion, writeXmlVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsMarshaller

    public XsMarshaller()

Method Detail

### marshal

    public void marshal(Reader schema,
                        ObjectModelProvider provider,
                        Object root,
                        Writer writer)
                 throws IOException,
                        SAXException,
                        ParserConfigurationException

  Throws:
    `IOException`
    `SAXException`
    `ParserConfigurationException`

### declareNamespace

    public void declareNamespace(String name,
                                 String uri)

  Defines a namespace. The namespace declaration will appear in the root element.

  If `name` argument is `null` or is an empty string then the passed in URI will be used for the default namespace, i.e. `xmlns`. Otherwise, the declaration will follow the format `xmlns:name=uri`.

  If the namespace with the given name was already declared, its value is overwritten.

  Parameters:
    `name` - the name of the namespace to declare (can be null or empty string)
    `uri` - the URI of the namespace.

### addAttribute

    public void addAttribute(String prefix,
                             String localName,
                             String type,
                             String value)

  Adds an attribute to the top most elements. First, we check whether there is a namespace associated with the passed in prefix. If the prefix was not declared, an exception is thrown.

  Parameters:
    `prefix` - the prefix of the attribute to be declared
    `localName` - local name of the attribute
    `type` - the type of the attribute
    `value` - the value of the attribute

### addAttribute

    public void addAttribute(String namespaceUri,
                             String prefix,
                             String localName,
                             String type,
                             String value)

  Adds an attribute to the top most elements declaring namespace prefix if it is not yet declared.

  Parameters:
    `namespaceUri` - attribute's namespace URI
    `prefix` - attribute's prefix
    `localName` - attribute's local name
    `type` - attribute's type
    `value` - attribute's value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.